/*
 * NessLab.c
 *
 *  Created on: Aug 3, 2020
 *      Author: parkyj
 */


#include "main.h"
#include "NessLab.h"
#include "adc.h"
Nesslab_Prot Currstatus;
uint8_t data_Tx[50] = {0,};

void NessLab_Operate(uint8_t* data){
	uint8_t datatype = data[NessLab_MsgID0];

	switch(datatype){
		case NessLab_STATUS_REQ:
		case NessLab_STATUS_RES:
			ADC_Check();
			Uart1_Data_Send(&Currstatus, 30);
			break;


	}


}

void NessLab_Status_Check(){
	//HAL_GPIO_ReadPin(, GPIO_Pin)
}
void NessLab_PAU_Enable(){
	HAL_GPIO_WritePin(AMP_EN_GPIO_Port,AMP_EN_Pin, HAL_GPIO_ReadPin(PAU_EN_GPIO_Port, PAU_EN_Pin));
	//HAL_GPIO_WritePin(AMP_EN_GPIO_Port,AMP_EN_Pin, HAL_GPIO_ReadPin(PAU_RESET_GPIO_Port, PAU_RESET_Pin));
}
void NessLab_GPIO_Operate(){
	NessLab_PAU_Enable();
}

